Bug 212433 - fence_xvmd binary search is backwards
fence_xvmd binary search is backwards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 15:04 EDT by Lon Hohberger
Modified: 2009-04-16 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes problems (482 bytes, patch)
2006-10-26 15:04 EDT, Lon Hohberger
no flags Details | Diff
Fixes fix. (1018 bytes, patch)
2006-11-03 11:02 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-10-26 15:04:25 EDT
Description of problem:

Binary search in fence_xvm is backwards, causing either failed search for a vm
that exists or an infinite loop.

Version-Release number of selected component (if applicable): cman-2.0.29-2.el5

How reproducible: 100%

Steps to Reproduce:
1.  Create multiple VMs on a machine
2.  Try to fence one using fence_xvm

  
Actual results: fence_xvmd either claims the VM does not exist locally or enters
an infinite loop and hangs.
Comment 1 Lon Hohberger 2006-10-26 15:04:26 EDT
Created attachment 139513 [details]
Fixes problems
Comment 2 RHEL Product and Program Management 2006-10-26 18:00:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Lon Hohberger 2006-11-03 11:02:25 EST
Created attachment 140265 [details]
Fixes fix.
Comment 4 Rob Kenna 2006-11-03 11:15:56 EST
Proposed B2 blocker for proper XEN clustering fencing.
Comment 5 Kiersten (Kerri) Anderson 2006-11-03 12:15:37 EST
Devel ACK - tested and works now.
Comment 6 Jay Turner 2006-11-03 14:28:47 EST
QE ack for RHEL5.
Comment 8 Nate Straz 2007-12-13 12:21:58 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.